Package io.strimzi.systemtest.resources.crd.kafkaclients

## Class KafkaBasicExampleClients.Builder

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients.Builder

- Direct Known Subclasses:
    `KafkaBridgeExampleClients.Builder`, `KafkaOauthExampleClients.Builder`, `KafkaTracingExampleClients.Builder`
  Enclosing class:
    KafkaBasicExampleClients

      public static class KafkaBasicExampleClients.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KafkaBasicExampleClients` | `build()` |
    `KafkaBasicExampleClients.Builder` | `withAdditionalConfig​(String additionalConfig)` |
    `KafkaBasicExampleClients.Builder` | `withBootstrapAddress​(String bootstrapAddress)` |
    `KafkaBasicExampleClients.Builder` | `withConsumerGroup​(String consumerGroup)` |
    `KafkaBasicExampleClients.Builder` | `withConsumerName​(String consumerName)` |
    `KafkaBasicExampleClients.Builder` | `withDelayMs​(long delayMs)` |
    `KafkaBasicExampleClients.Builder` | `withMessageCount​(int messageCount)` |
    `KafkaBasicExampleClients.Builder` | `withProducerName​(String producerName)` |
    `KafkaBasicExampleClients.Builder` | `withTopicName​(String topicName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withProducerName

          public KafkaBasicExampleClients.Builder withProducerName​(String producerName)

    - #### withConsumerName

          public KafkaBasicExampleClients.Builder withConsumerName​(String consumerName)

    - #### withBootstrapAddress

          public KafkaBasicExampleClients.Builder withBootstrapAddress​(String bootstrapAddress)

    - #### withTopicName

          public KafkaBasicExampleClients.Builder withTopicName​(String topicName)

    - #### withMessageCount

          public KafkaBasicExampleClients.Builder withMessageCount​(int messageCount)

    - #### withAdditionalConfig

          public KafkaBasicExampleClients.Builder withAdditionalConfig​(String additionalConfig)

    - #### withConsumerGroup

          public KafkaBasicExampleClients.Builder withConsumerGroup​(String consumerGroup)

    - #### withDelayMs

          public KafkaBasicExampleClients.Builder withDelayMs​(long delayMs)

    - #### build

          public KafkaBasicExampleClients build()